-- Добавляем работу с проектируемыми объектами
-- для этого в таблицу Объект добавляется свойство В_проекте
-- и создаются два view
-- Работа со всеми объектами идёт по-прежнему напрямую через таблицу Объект,
-- а вот ТОЛЬКО с существующими или (что более специфично, но пусть будет) только с проектируемыми - через соответствующие view
-- ATTENTION!! При реализации этого в Postgre надо будет создавать Rules, чтобы работала вставка через View
ALTER TABLE Объект ADD В_проекте bit NOT NULL default 0
GO
CREATE VIEW ExistingObjects
	WITH SCHEMABINDING
	AS
	SELECT 
	   	Код_объекта,
	        Код_типа_объекта,     
	        Код_диспетчерского_управления, 
	        Код_организации_владельца, 
	        Наименование,         
	        Код_объекта_владельца,
		Инвентарный_номер,    
		Примечание,	     
		GUID,		     
	        Балансовая_стоимость, 
	        Код_обслуживающей_организации, 
	        Порядковый_номер,
		В_проекте     
	FROM dbo.Объект
	WHERE В_проекте = 0
	WITH CHECK OPTION
GO
CREATE VIEW DesignObjects
	WITH SCHEMABINDING
	AS
	SELECT 
	   	Код_объекта,
	        Код_типа_объекта,     
	        Код_диспетчерского_управления, 
	        Код_организации_владельца, 
	        Наименование,         
	        Код_объекта_владельца,
		Инвентарный_номер,    
		Примечание,	     
		GUID,		     
	        Балансовая_стоимость, 
	        Код_обслуживающей_организации, 
	        Порядковый_номер,
 		В_проекте     
	FROM dbo.Объект
	WHERE В_проекте = 1
	WITH CHECK OPTION
GO
